#ifndef SIMU_H
#define SIMU_H





#include <QObject>
#include <QLabel>
#include <QTimer>

class Simulation : public QObject
{
    Q_OBJECT

public:
    Simulation(QLabel *fahrstuhlLabel, QObject *parent = nullptr);
    ~Simulation();

    void start();

private slots:
    void aktualisieren();

private:
    QLabel *fahrstuhlLabel;
    QTimer *timer;
    double aktuelleTemperatur;
    double aktuellesGewicht;
    const double Gewichtsschwelle =200.0;
    const double zielTemperatur =100.0;
    enum Zustand { NACH_OBEN, WARTE_GEWICHT, ZU_WASSER, WASSER_ERHITZEN, WASSER_AUSGEBEN,NACH_LINKS, ZURUECK_START,NACH_RECHTS,NACH_Oben, ZU_ENDE } zustand;

    // Sensorfunktionen
    bool lichtSensorAktiv(int etage);
    bool gewichtSchwelleÜberschritten();
    bool temperaturErreicht();


};



#endif // SIMU_H
